AGL Mobile App Feedback and Ideas

Share your ideas for improving the AGL Energy Mobile App

Share your ideas for improving the AGL Energy Mobile App

AGL Mobile App for Android

Switched-on

I have an Oppo A57 phone with Android version 6.0.1.  I tried to download the AGL app from Google Play and got the message "Your device isn't compatible with this version".  Not very helpful as I cannot find what version IS compatible. My phone says it already has the latest version so am stumped! Any ideas??

2 Comments
AGL Employee

Hi Joybelle, 

 

Android version 6.0.1 was released in 2015 and is no longer receiving any updates from Google. We support a minimum of Android 7.0, as you can see on the Google Play Store here

 

Please let us know if there's anything further we can help with. 

 

Thanks,

Starter

You purport to support renewable stuff, but are seriously suggesting that I throw away perfectly good devices that can only run Android 6.x? This is strange, to be polite!

 

An app of this kind should support Android versions back to at least v.4.x